const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_8 = z.x;
    v3_a = arg1[48];
    v2_17 = fabsl(z.x * *((v3_a - 32)) + *((v3_a - 16))) # bp+17;
    st7_global_2d_to_2d_local = sqrtl(v2_17) # st7;
    v1_21 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+21;
    v3_23 = v1_21 / 256 & 65 # bp+23;
    z.x = z.x & -0x10000 | v1_21 & -0xff01 | 256 * v3_23;
    if v3_23 == 0:;
        # 0x28;
        v1_2a = -st7_global_2d_to_2d_local;
    else:;
        v1_2a = st7_global_2d_to_2d_local;
    *v0_8 = v1_2a / *((v3_a - 40)) + *((v3_a - 24));
    z.x = v0_8;
    return v0_8;


	}